udftools

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Classes | Macros | Functions | Variables
osta_udf.h File Reference
`#include "ecma_167.h"`
Include dependency graph for osta_udf.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | UDFIdentSuffix
struct | impIdentSuffix
struct | appIdentSuffix
struct | logicalVolIntegrityDescImpUse
struct | impUseVolDescImpUse
struct | udfPartitionMap2
struct | virtualPartitionMap
struct | sparablePartitionMap
struct | virtualAllocationTable15
struct | virtualAllocationTable20
struct | sparingEntry
struct | sparingTable
struct | allocDescImpUse
struct | freeEaSpace
struct | DVDCopyrightImpUse
struct | freeAppEASpace

## Macros
#define | UDF_CHAR_SET_TYPE 0
#define | UDF_CHAR_SET_INFO "OSTA Compressed Unicode"
#define | UDF_ID_DEVELOPER "*Linux UDFFS"
#define | UDF_ID_COMPLIANT "*OSTA UDF Compliant"
#define | UDF_ID_LV_INFO "*UDF LV Info"
#define | UDF_ID_FREE_EA "*UDF FreeEASpace"
#define | UDF_ID_FREE_APP_EA "*UDF FreeAppEASpace"
#define | UDF_ID_DVD_CGMS "*UDF DVD CGMS Info"
#define | UDF_ID_OS2_EA "*UDF OS/2 EA"
#define | UDF_ID_OS2_EA_LENGTH "*UDF OS/2 EALength"
#define | UDF_ID_MAC_VOLUME "*UDF Mac VolumeInfo"
#define | UDF_ID_MAC_FINDER "*UDF Mac FinderInfo"
#define | UDF_ID_MAC_UNIQUE "*UDF Mac UniqueIDTable"
#define | UDF_ID_MAC_RESOURCE "*UDF Mac ResourceFork"
#define | UDF_ID_VIRTUAL "*UDF Virtual Partition"
#define | UDF_ID_SPARABLE "*UDF Sparable Partition"
#define | UDF_ID_ALLOC "*UDF Virtual Alloc Tbl"
#define | UDF_ID_SPARING "*UDF Sparing Table"
#define | IS_DF_HARD_WRITE_PROTECT 0x01
#define | IS_DF_SOFT_WRITE_PROTECT 0x02
#define | ICBTAG_FILE_TYPE_VAT15 0x00U
#define | ICBTAG_FILE_TYPE_VAT20 0xF8U
#define | AD_IU_EXT_ERASED 0x0001
#define | ICBTAG_FILE_TYPE_REALTIME 0xF9U
#define | UDF_ID_UNIQUE_ID "*UDF Unique ID Mapping Data"
#define | UDF_ID_NON_ALLOC "*UDF Non-Allocatable Space"
#define | UDF_ID_POWER_CAL "*UDF Power Cal Table"
#define | UDF_ID_BACKUP "*UDF Backup"
#define | UDF_OS_CLASS_UNDEF 0x00U
#define | UDF_OS_CLASS_DOS 0x01U
#define | UDF_OS_CLASS_OS2 0x02U
#define | UDF_OS_CLASS_MAC 0x03U
#define | UDF_OS_CLASS_UNIX 0x04U
#define | UDF_OS_CLASS_WIN9X 0x05U
#define | UDF_OS_CLASS_WINNT 0x06U
#define | UDF_OS_CLASS_OS400 0x07U
#define | UDF_OS_CLASS_BEOS 0x08U
#define | UDF_OS_CLASS_WINCE 0x09U
#define | UDF_OS_ID_UNDEF 0x00U
#define | UDF_OS_ID_DOS 0x00U
#define | UDF_OS_ID_OS2 0x00U
#define | UDF_OS_ID_MAC 0x00U
#define | UDF_OS_ID_UNIX 0x00U
#define | UDF_OS_ID_AIX 0x01U
#define | UDF_OS_ID_SOLARIS 0x02U
#define | UDF_OS_ID_HPUX 0x03U
#define | UDF_OS_ID_IRIX 0x04U
#define | UDF_OS_ID_LINUX 0x05U
#define | UDF_OS_ID_MKLINUX 0x06U
#define | UDF_OS_ID_FREEBSD 0x07U
#define | UDF_OS_ID_WIN9X 0x00U
#define | UDF_OS_ID_WINNT 0x00U
#define | UDF_OS_ID_OS400 0x00U
#define | UDF_OS_ID_BEOS 0x00U
#define | UDF_OS_ID_WINCE 0x00U

## Functions
struct UDFIdentSuffix | __attribute__ ((packed))

## Variables
uint16_t | UDFRevision
uint8_t | OSClass
uint8_t | OSIdentifier
uint8_t | reserved [4]
uint8_t | impUse [8]
regid | impIdent
uint32_t | numFiles
uint32_t | numDirs
uint16_t | minUDFReadRev
uint16_t | minUDFWriteRev
uint16_t | maxUDFWriteRev
charspec | LVICharset
dstring | logicalVolIdent [128]
dstring | LVInfo1 [36]
dstring | LVInfo2 [36]
dstring | LVInfo3 [36]
uint8_t | partitionMapType
uint8_t | partitionMapLength
uint8_t | reserved1 [2]
regid | partIdent
uint16_t | volSeqNum
uint16_t | partitionNum
uint8_t | reserved2 [24]
uint16_t | packetLength
uint8_t | numSparingTables
uint32_t | sizeSparingTable
uint32_t | locSparingTable [4]
uint32_t | vatEntry [0]
regid | vatIdent
uint32_t | previousVATICBLoc
uint16_t | lengthHeader
uint16_t | lengthImpUse
uint32_t | origLocation
uint32_t | mappedLocation
tag | descTag
regid | sparingIdent
uint16_t | reallocationTableLen
uint32_t | sequenceNum
struct sparingEntry | mapEntry [0]
uint16_t | flags
uint16_t | headerChecksum
uint8_t | freeEASpace [0]
uint8_t | CGMSInfo
uint8_t | dataType
uint8_t | protectionSystemInfo [4]

## Detailed Description

OSTA-UDF defines and structure definitions

Definition in file osta_udf.h.

## Macro Definition Documentation

#define AD_IU_EXT_ERASED 0x0001

Definition at line 210 of file osta_udf.h.

#define ICBTAG_FILE_TYPE_REALTIME 0xF9U

Definition at line 213 of file osta_udf.h.

#define ICBTAG_FILE_TYPE_VAT15 0x00U

Definition at line 164 of file osta_udf.h.

#define ICBTAG_FILE_TYPE_VAT20 0xF8U

Definition at line 183 of file osta_udf.h.

#define IS_DF_HARD_WRITE_PROTECT 0x01

Definition at line 69 of file osta_udf.h.

#define IS_DF_SOFT_WRITE_PROTECT 0x02

Definition at line 70 of file osta_udf.h.

#define UDF_CHAR_SET_INFO "OSTA Compressed Unicode"

Definition at line 47 of file osta_udf.h.

#define UDF_CHAR_SET_TYPE 0

Definition at line 46 of file osta_udf.h.

#define UDF_ID_ALLOC "*UDF Virtual Alloc Tbl"

Definition at line 65 of file osta_udf.h.

#define UDF_ID_BACKUP "*UDF Backup"

Definition at line 244 of file osta_udf.h.

#define UDF_ID_COMPLIANT "*OSTA UDF Compliant"

Definition at line 52 of file osta_udf.h.

#define UDF_ID_DEVELOPER "*Linux UDFFS"

Definition at line 51 of file osta_udf.h.

#define UDF_ID_DVD_CGMS "*UDF DVD CGMS Info"

Definition at line 56 of file osta_udf.h.

#define UDF_ID_FREE_APP_EA "*UDF FreeAppEASpace"

Definition at line 55 of file osta_udf.h.

#define UDF_ID_FREE_EA "*UDF FreeEASpace"

Definition at line 54 of file osta_udf.h.

#define UDF_ID_LV_INFO "*UDF LV Info"

Definition at line 53 of file osta_udf.h.

#define UDF_ID_MAC_FINDER "*UDF Mac FinderInfo"

Definition at line 60 of file osta_udf.h.

#define UDF_ID_MAC_RESOURCE "*UDF Mac ResourceFork"

Definition at line 62 of file osta_udf.h.

#define UDF_ID_MAC_UNIQUE "*UDF Mac UniqueIDTable"

Definition at line 61 of file osta_udf.h.

#define UDF_ID_MAC_VOLUME "*UDF Mac VolumeInfo"

Definition at line 59 of file osta_udf.h.

#define UDF_ID_NON_ALLOC "*UDF Non-Allocatable Space"

Definition at line 242 of file osta_udf.h.

#define UDF_ID_OS2_EA "*UDF OS/2 EA"

Definition at line 57 of file osta_udf.h.

#define UDF_ID_OS2_EA_LENGTH "*UDF OS/2 EALength"

Definition at line 58 of file osta_udf.h.

#define UDF_ID_POWER_CAL "*UDF Power Cal Table"

Definition at line 243 of file osta_udf.h.

#define UDF_ID_SPARABLE "*UDF Sparable Partition"

Definition at line 64 of file osta_udf.h.

#define UDF_ID_SPARING "*UDF Sparing Table"

Definition at line 66 of file osta_udf.h.

#define UDF_ID_UNIQUE_ID "*UDF Unique ID Mapping Data"

Definition at line 241 of file osta_udf.h.

#define UDF_ID_VIRTUAL "*UDF Virtual Partition"

Definition at line 63 of file osta_udf.h.

#define UDF_OS_CLASS_BEOS 0x08U

Definition at line 255 of file osta_udf.h.

#define UDF_OS_CLASS_DOS 0x01U

Definition at line 248 of file osta_udf.h.

#define UDF_OS_CLASS_MAC 0x03U

Definition at line 250 of file osta_udf.h.

#define UDF_OS_CLASS_OS2 0x02U

Definition at line 249 of file osta_udf.h.

#define UDF_OS_CLASS_OS400 0x07U

Definition at line 254 of file osta_udf.h.

#define UDF_OS_CLASS_UNDEF 0x00U

Definition at line 247 of file osta_udf.h.

#define UDF_OS_CLASS_UNIX 0x04U

Definition at line 251 of file osta_udf.h.

#define UDF_OS_CLASS_WIN9X 0x05U

Definition at line 252 of file osta_udf.h.

#define UDF_OS_CLASS_WINCE 0x09U

Definition at line 256 of file osta_udf.h.

#define UDF_OS_CLASS_WINNT 0x06U

Definition at line 253 of file osta_udf.h.

#define UDF_OS_ID_AIX 0x01U

Definition at line 263 of file osta_udf.h.

#define UDF_OS_ID_BEOS 0x00U

Definition at line 273 of file osta_udf.h.

#define UDF_OS_ID_DOS 0x00U

Definition at line 259 of file osta_udf.h.

#define UDF_OS_ID_FREEBSD 0x07U

Definition at line 269 of file osta_udf.h.

#define UDF_OS_ID_HPUX 0x03U

Definition at line 265 of file osta_udf.h.

#define UDF_OS_ID_IRIX 0x04U

Definition at line 266 of file osta_udf.h.

#define UDF_OS_ID_LINUX 0x05U

Definition at line 267 of file osta_udf.h.

#define UDF_OS_ID_MAC 0x00U

Definition at line 261 of file osta_udf.h.

#define UDF_OS_ID_MKLINUX 0x06U

Definition at line 268 of file osta_udf.h.

#define UDF_OS_ID_OS2 0x00U

Definition at line 260 of file osta_udf.h.

#define UDF_OS_ID_OS400 0x00U

Definition at line 272 of file osta_udf.h.

#define UDF_OS_ID_SOLARIS 0x02U

Definition at line 264 of file osta_udf.h.

#define UDF_OS_ID_UNDEF 0x00U

Definition at line 258 of file osta_udf.h.

#define UDF_OS_ID_UNIX 0x00U

Definition at line 262 of file osta_udf.h.

#define UDF_OS_ID_WIN9X 0x00U

Definition at line 270 of file osta_udf.h.

#define UDF_OS_ID_WINCE 0x00U

Definition at line 274 of file osta_udf.h.

#define UDF_OS_ID_WINNT 0x00U

Definition at line 271 of file osta_udf.h.

## Function Documentation

struct UDFIdentSuffix __attribute__ | ( | (packed) |  | ) |

## Variable Documentation

uint8_t CGMSInfo

Definition at line 162 of file osta_udf.h.

uint8_t dataType

Definition at line 163 of file osta_udf.h.

tag descTag

Definition at line 161 of file osta_udf.h.

uint16_t flags

Definition at line 161 of file osta_udf.h.

uint8_t freeEASpace

Definition at line 162 of file osta_udf.h.

uint16_t headerChecksum

Definition at line 161 of file osta_udf.h.

regid impIdent

Definition at line 161 of file osta_udf.h.

uint8_t impUse[4]

Definition at line 161 of file osta_udf.h.

uint16_t lengthHeader

Definition at line 161 of file osta_udf.h.

uint16_t lengthImpUse

Definition at line 162 of file osta_udf.h.

uint32_t locSparingTable[4]

Definition at line 171 of file osta_udf.h.

dstring logicalVolIdent[128]

Definition at line 162 of file osta_udf.h.

charspec LVICharset

Definition at line 161 of file osta_udf.h.

dstring LVInfo1[36]

Definition at line 163 of file osta_udf.h.

dstring LVInfo2[36]

Definition at line 164 of file osta_udf.h.

dstring LVInfo3[36]

Definition at line 165 of file osta_udf.h.

struct sparingEntry mapEntry[0]

Definition at line 166 of file osta_udf.h.

uint32_t mappedLocation

Definition at line 162 of file osta_udf.h.

uint16_t maxUDFWriteRev

Definition at line 166 of file osta_udf.h.

uint16_t minUDFReadRev

Definition at line 164 of file osta_udf.h.

uint16_t minUDFWriteRev

Definition at line 165 of file osta_udf.h.

uint32_t numDirs

Definition at line 163 of file osta_udf.h.

uint32_t numFiles

Definition at line 162 of file osta_udf.h.

uint8_t numSparingTables

Definition at line 168 of file osta_udf.h.

uint32_t origLocation

Definition at line 161 of file osta_udf.h.

uint8_t OSClass

Definition at line 162 of file osta_udf.h.

uint8_t OSIdentifier

Definition at line 163 of file osta_udf.h.

uint16_t packetLength

Definition at line 167 of file osta_udf.h.

regid partIdent

Definition at line 164 of file osta_udf.h.

uint8_t partitionMapLength

Definition at line 162 of file osta_udf.h.

uint8_t partitionMapType

Definition at line 161 of file osta_udf.h.

uint16_t partitionNum

Definition at line 166 of file osta_udf.h.

uint32_t previousVATICBLoc

Definition at line 163 of file osta_udf.h.

uint8_t protectionSystemInfo[4]

Definition at line 164 of file osta_udf.h.

uint16_t reallocationTableLen

Definition at line 163 of file osta_udf.h.

uint16_t reserved

Definition at line 164 of file osta_udf.h.

uint8_t reserved1[2]

Definition at line 163 of file osta_udf.h.

uint8_t reserved2[1]

Definition at line 167 of file osta_udf.h.

uint32_t sequenceNum

Definition at line 165 of file osta_udf.h.

uint32_t sizeSparingTable

Definition at line 170 of file osta_udf.h.

regid sparingIdent

Definition at line 162 of file osta_udf.h.

uint16_t UDFRevision

Definition at line 161 of file osta_udf.h.

uint32_t vatEntry

Definition at line 161 of file osta_udf.h.

regid vatIdent

Definition at line 162 of file osta_udf.h.

uint16_t volSeqNum

Definition at line 165 of file osta_udf.h.